libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_amd64.deb


Advertisement

Description

libroken18-heimdal - Heimdal Kerberos - roken support library

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main amd64
Package filename libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_amd64.deb
Package name libroken18-heimdal
Package version 1.6~git20131207+dfsg
Package release 1ubuntu1.2
Package architecture amd64
Package type deb
Category libs
Homepage http://www.h5l.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 39.00 KB
Installed size 158.00 KB
Heimdal is a free implementation of Kerberos 5 that aims to be
compatible with MIT Kerberos.
This package contains the library for roken support.

Alternatives

Package Version Architecture Repository
libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_i386.deb 1.6~git20131207+dfsg i386 Ubuntu Updates Main
libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1_amd64.deb 1.6~git20131207+dfsg amd64 Ubuntu Main
libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1_i386.deb 1.6~git20131207+dfsg i386 Ubuntu Main
libroken18-heimdal - - -

Requires

Name Value
libc6 >= 2.15
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libroken18-heimdal_1.6~git20131207+dfsg-1ubuntu1.2_amd64.deb
Source Package heimdal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libroken18-heimdal deb package:
    # sudo apt-get install libroken18-heimdal

Files

Path
/usr/lib/x86_64-linux-gnu/libroken.so.18
/usr/lib/x86_64-linux-gnu/libroken.so.18.1.0
/usr/share/doc/libroken18-heimdal/changelog.Debian.gz
/usr/share/doc/libroken18-heimdal/copyright
/usr/share/lintian/overrides/libroken18-heimdal

Changelog

2017-07-13 - Steve Beattie <sbeattie@ubuntu.com>
heimdal (1.6~git20131207+dfsg-1ubuntu1.2) trusty-security; urgency=medium
* SECURITY UPDATE: KDC-REP service name impersonation
- debian/patches/CVE-2017-11103.patch: use encrypted service
name rather than unencrypted (and therefore spoofable) version
- CVE-2017-11103
2015-03-03 - Patrik Lundin <patrik.lundin@su.se>
heimdal (1.6~git20131207+dfsg-1ubuntu1.1) trusty; urgency=medium
* Add 048_kdc_memleak patch based on Debian bug #746486. LP: #1422359
2014-02-19 - Dimitri John Ledkov <xnox@ubuntu.com>
heimdal (1.6~git20131207+dfsg-1ubuntu1) trusty; urgency=medium
* Enable parallel build.
* Link tests against just compiled gssapi, instead of the system
one. Fixes FTBFS due to missing symbols.
* Dropped changes - debian/patches/044_file_desc, included in the new
upstream snapshot.
2013-12-07 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131207+dfsg-1) unstable; urgency=medium
* New upstream snapshot from 1.6 branch.
+ Drop 043_hx509_heimbase: applied upstream.
+ Drop 044_krb5_pcfile: applied upstream.
* Add 046_kcm_supports_sigterm. Closes: #654349
* Add Provides: heimdal-hdb-api-8 to hdb package, so Samba and others can
depend on a specific version of the API.
* Add 047_fix_hdb_so_loading, fixing plugin loading
in the HDB library. Thanks Andrew Bartlett, Jeff Clark.
* Bump standards version to 3.9.5. (no changes)
* Document log destination format in kdc.conf rather than referring to
krb5_openlog.3 manpage shipped in heimdal-dev. Closes: #674542
* Drop obsolete bzr-builddeb.conf.
2013-11-24 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-3) unstable; urgency=low
* Move generic .pc files from heimdal-multidev to heimdal-dev package
to prevent conflicts with libkrb5-multidev. Closes: #730267
* Rename login.1 to login.heimdal.1 to support installing together
with login. Closes: #729946
* Set random master key if no explicit password was specified. Closes:
#730011
2013-11-20 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-2) unstable; urgency=low
* Move asn1_compile and asn1_print to heimdal-multidev, since they
don't conflict with libkrb5-dev.
* Add 043_hx509_heimbase: fixes use of hx509.h.
2013-11-17 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20131117+dfsg-1) unstable; urgency=low
* New upstream snapshot.
+ Drop texinfo_5.1 and texinfo_b_5.1; applied upstream.
* Install asn1_compile and asn1_print binaries in heimdal-dev.
2013-07-16 - Brian May <bam@debian.org>
heimdal (1.6~git20120403+dfsg1-4) unstable; urgency=low
* Fix broken symlinks. Closes: #715069.
* heimdal-multidev depends on libotp0-heimdal and libsl0-heimdal.
* remove windc symlinks.
* Bump standards version to 3.9.4.
2013-06-03 - Brian May <bam@debian.org>
heimdal (1.6~git20120403+dfsg1-3) unstable; urgency=low
* Move /usr/share/doc/heimdal-kdc/examples to
/usr/share/heimdal-kdc. Closes: #710731.
* Fix textinfo build errors. Closes: #711221.
2012-05-30 - Jelmer Vernooij <jelmer@debian.org>
heimdal (1.6~git20120403+dfsg1-2) unstable; urgency=low
* Enable libcap-ng-dev only on Linux. Fixes FTBFS on kfreebsd-* and
hurd-*. Closes: #674923
* Support extra configure flags through dpkg-buildflags, to (for
example) enable hardened build flags. Thanks Moritz Muehlenhoff.
Closes: 668022

See Also

Package Description
librpm-dev_4.11.1-3ubuntu0.1_amd64.deb RPM shared library, development kit
librpm3_4.11.1-3ubuntu0.1_amd64.deb RPM shared library
librpmbuild3_4.11.1-3ubuntu0.1_amd64.deb RPM build shared library
librpmio3_4.11.1-3ubuntu0.1_amd64.deb RPM IO shared library
librpmsign1_4.11.1-3ubuntu0.1_amd64.deb RPM signing shared library
librtmp-dev_2.4+20121230.gitdf6c518-1ubuntu0.1_amd64.deb toolkit for RTMP streams (development files)
librtmp0_2.4+20121230.gitdf6c518-1ubuntu0.1_amd64.deb toolkit for RTMP streams (shared library)
libruby1.9.1_1.9.3.484-2ubuntu1.14_amd64.deb Libraries necessary to run Ruby 1.9.1
libruby2.0_2.0.0.484-1ubuntu2.13_amd64.deb Libraries necessary to run Ruby 2.0
libsam-dev_2.3.3-1ubuntu4_amd64.deb Standards-based cluster framework, Sam devel files
libsam4_2.3.3-1ubuntu4_amd64.deb Standards-based cluster framework, Sam library
libsane-common_1.0.23-3ubuntu3.1_amd64.deb API library for scanners -- documentation and support files
libsane-dev_1.0.23-3ubuntu3.1_amd64.deb API development library for scanners [development files]
libsane-hpaio_3.14.3-0ubuntu3.4_amd64.deb HP SANE backend for multi-function peripherals
libsane_1.0.23-3ubuntu3.1_amd64.deb API library for scanners
Advertisement
Advertisement